package xyz.mcutils.models;

import lombok.Getter;
import lombok.ToString;

@Getter @ToString
public class CachedResponse {

    /**
     * The cache information for this response.
     */
    private Cache cache;

    @Getter @ToString
    public static class Cache {
        /**
         * Whether this request is cached.
         */
        private boolean cached;

        /**
         * The unix timestamp of when this was cached.
         */
        private long cachedTime;
    }
}
